### Method

# EBackend ServerSideSource set_write_directory

since: 3.6

#### Declaration [src]

    void
    e_server_side_source_set_write_directory (
      EServerSideSource* source,
      const gchar* write_directory
    )

#### Description [src]

Sets the local directory path where changes to `source` are to be written.

By default, changes are written to the local directory path returned by e_server_side_source_get_user_dir(), but an `ECollectionBackend` may wish to override this to use its own private cache directory for data sources it creates automatically.

Available since: 3.6

Sets property | `EBackend.ServerSideSource:write-directory`

#### Parameters

`write_directory`

  Type: `const gchar*`

  The directory where changes are to be written.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.